/* plural; as in 'You scanned 5 business cards' */
"%lu business cards" = "%lu 명함";

/* plural; as in 'You scanned 5 documents' */
"%lu documents" = "%lu 문서";

/* plural; as in 'You synced 5 notes' */
"%lu notes" = "%lu 노트";

/* plural; as in 'You scanned 5 photos' */
"%lu photos" = "%lu 사진";

/* plural; as in 'You scanned 5 receipts' */
"%lu receipts" = "%lu 영수증";

/* singular; as in 'You scanned 1 business card' */
"1 business card" = "명함 1개";

/* singular; as in 'You scanned 1 document' */
"1 document" = "문서 1개";

/* singular; as in 'You synced 1 note' */
"1 note" = "1 개의 노트";

/* singular; as in 'You scanned 1 photos' */
"1 photo" = "사진 1개";

/* singular; as in 'You scanned 1 receipt' */
"1 receipt" = "영수증 1개";

/* user synced linked notebook first time ($1=notebook name) */
"AnonymousSharedNotebook($1)" = "노트북 $1을(를) 회원님과 공유했습니다.";

/* multiple notes updated in notebook (with last update author) ($1=person, $2=notebook name) */
"MultipleNewNotesUpdatedInNotebookByPerson($1,$2)" = "$1이(가) $2 노트북에서 {%lu new notes}을(를) 업데이트했습니다.";

/* multiple notes updated in notebook (with last update by current user) ($1='You', $2=notebook name) */
"MultipleNewNotesUpdatedInNotebookByYou($1,$2)" = "$1이(가) $2 노트북에서 {%lu new notes}을(를) 업데이트했습니다.";

/* multiple notes updated in current user's notebook (with last update author) ($1=person, $2=notebook name) */
"MultipleNewNotesUpdatedInYourNotebookByPerson($1,$2)" = "$1이(가) 회원님의 $2 노트북에서 {%lu new notes}을(를) 업데이트했습니다.";

/* multiple notes updated in current user's notebook (with last update by current user) ($1='You', $2=notebook name) */
"MultipleNewNotesUpdatedInYourNotebookByYou($1,$2)" = "$1이(가) 회원님의 $2 노트북에서 {%lu new notes}을(를) 업데이트했습니다.";

/* multiple notes added to notebook ($1=person, $2=notebook name) */
"MultipleNotesAddedToNotebookByPerson($1,$2)" = "$1이(가) {%lu notes}을(를) $2 노트북에 추가했습니다.";

/* multiple notes added to notebook by current user ($1='You', $2=notebook name) */
"MultipleNotesAddedToNotebookByYou($1,$2)" = "$1이(가) {%lu notes}을(를) $2 노트북에 추가했습니다.";

/* multiple notes added to notebook ($1=notebook name) */
"MultipleNotesAddedToNoteboookNoPerson($1)" = "{%lu notes}이(가) $1 노트북에 추가되었습니다.";

/* multiple notes added to current user's notebook ($1=person, $2=notebook name) */
"MultipleNotesAddedToYourNotebookByPerson($1,$2)" = "$1이(가) {%lu notes}을(를) 회원님의 $2 노트북에 추가했습니다.";

/* multiple notes added to current user's notebook by current user ($1='You', $2=notebook name) */
"MultipleNotesAddedToYourNotebookByYou($1,$2)" = "$1이(가) {%lu notes}을(를) 회원님의 $2 노트북에 추가했습니다.";

/* multiple notes added to current user's notebook ($1=notebook name) */
"MultipleNotesAddedToYourNotebookNoPerson($1)" = "{%lu notes}이(가) 회원님의 $1 노트북에 추가되었습니다.";

/* multiple notes removed from notebook ($1=person, $2=notebook name) */
"MultipleNotesRemovedFromNotebookByPerson($1,$2)" = "$1이(가) $2 노트북에서 {%lu notes}을(를) 제거했습니다.";

/* multiple notes removed from notebook by current user ($1='You', $2=notebook name) */
"MultipleNotesRemovedFromNotebookByYou($1,$2)" = "$1이(가) $2 노트북에서 {%lu notes}을(를) 제거했습니다.";

/* multiple notes removed from notebook ($1=notebook name) */
"MultipleNotesRemovedFromNoteboookNoPerson($1)" = "{%lu notes}이(가) $1 노트북에서 제거되었습니다.";

/* multiple notes removed from current user's notebook ($1=person, $2=notebook name) */
"MultipleNotesRemovedFromYourNotebookByPerson($1,$2)" = "$1이(가) 회원님의 $2 노트북에서 {%lu notes}을(를) 제거했습니다.";

/* multiple notes removed from current user's notebook by current user ($1='You', $2=notebook name) */
"MultipleNotesRemovedFromYourNotebookByYou($1,$2)" = "$1이(가) 회원님의 $2 노트북에서 {%lu notes}을(를) 제거했습니다.";

/* multiple notes removed from current user's notebook ($1=notebook name) */
"MultipleNotesRemovedFromYourNotebookNoPerson($1)" = "{%lu notes}이(가) 회원님의 $1 노트북에서 제거되었습니다.";

/* multiple notes renamed in notebook ($1=notebook name) */
"MultipleNotesRenamedInNoteboookNoPerson($1)" = "{%lu notes}의 이름이 $1 노트북에서 변경되었습니다.";

/* multiple notes renamed in current user's notebook ($1=notebook name) */
"MultipleNotesRenamedInYourNotebookNoPerson($1)" = "{%lu notes}의 이름이 회원님의 $1 노트북에서 변경되었습니다.";

/* multiple notes updated in notebook ($1=person, $2=notebook name) */
"MultipleNotesUpdatedInNotebookByPerson($1,$2)" = "$1이(가) $2 노트북에서 {%lu notes}을(를) 업데이트했습니다.";

/* multiple notes updated in notebook by current user ($1='You', $2=notebook name) */
"MultipleNotesUpdatedInNotebookByYou($1,$2)" = "$1이(가) $2 노트북에서 {%lu notes}을(를) 업데이트했습니다.";

/* multiple notes updated in current user's notebook ($1=person, $2=notebook name) */
"MultipleNotesUpdatedInYourNotebookByPerson($1,$2)" = "$1이(가) 회원님의 $2 노트북에서 {%lu notes}을(를) 업데이트했습니다.";

/* multiple notes updated in current user's notebook by current user ($1='You', $2=notebook name) */
"MultipleNotesUpdatedInYourNotebookByYou($1,$2)" = "$1이(가) 회원님의 $2 노트북에서 {%lu notes}을(를) 업데이트했습니다.";

/* multiple notes updated in current user's notebook ($1=notebook name) */
"MultipleNotesUpdatedInYourNotebookNoPerson($1)" = "{%lu notes}이(가) 회원님의 $1 노트북에서 업데이트되었습니다.";

/* note updated in notebook (with last update author) ($1=person, $2=note title, $3=notebook name) */
"NewNoteUpdatedInNotebookByPerson($1,$2,$3)" = "$1님이 노트북 $3의 새 노트인 $2을(를) 가장 최근에 업데이트했습니다.";

/* note updated in notebook (with last update by current user) ($1='You', $2=note title, $3=notebook name) */
"NewNoteUpdatedInNotebookByYou($1,$2,$3)" = "$1님이 노트북 $3의 새 노트인 $2을(를) 가장 최근에 업데이트했습니다.";

/* note updated in current user's notebook (with last update author) ($1=person, $2=note title, $3=notebook name) */
"NewNoteUpdatedInYourNotebookByPerson($1,$2,$3)" = "$1님이 노트북 $3의 새 노트인 $2을(를) 가장 최근에 업데이트했습니다.";

/* note updated in current user's notebook (with last update by current user) ($1='You', $2=note title, $3=notebook name) */
"NewNoteUpdatedInYourNotebookByYou($1,$2,$3)" = "$1님이 노트북 $3의 새 노트인 $2을(를) 가장 최근에 업데이트했습니다.";

/* note added to notebook ($1=person, $2=note title, $3=notebook name) */
"NoteAddedToNotebookByPerson($1,$2,$3)" = "$1가 $2를 노트북 $3에 추가하였습니다.";

/* note added to notebook by current user ($1='You', $2=note title, $3=notebook name) */
"NoteAddedToNotebookByYou($1,$2,$3)" = "$1가 $2를 노트북 $3에 추가하였습니다.";

/* note added to notebook ($1=note title, $2=notebook name) */
"NoteAddedToNoteboookNoPerson($1,$2)" = "$1가 노트북 $2에 추가되었습니다.";

/* note added to current user's notebook ($1=person, $2=note title, $3=notebook name) */
"NoteAddedToYourNotebookByPerson($1,$2,$3)" = "$1가 $2를 당신의 노트북 $3에 추가하였습니다.";

/* note added to current user's notebook by current user ($1='You', $2=note title, $3=notebook name) */
"NoteAddedToYourNotebookByYou($1,$2,$3)" = "$1가 $2를 당신의 노트북 $3에 추가하였습니다.";

/* note added to current user's notebook ($1=note title, $2=notebook name) */
"NoteAddedToYourNotebookNoPerson($1,$2)" = "$1가 당신의 노트북 $2에 추가되었습니다.";

/* notebook no longer shared with current user ($1=person, $2=notebook name) */
"NotebookNoLongerSharedWithYou($1,$2)" = "$1이 더이상 당신과 노트북 $2를 공유하지 않습니다.";

/* note removed from notebook ($1=person, $2=note title, $3=notebook name) */
"NoteRemovedFromNotebookByPerson($1,$2,$3)" = "$1이 $2를 노트북 $3에서 제거하였습니다.";

/* note removed from notebook by current user ($1='You', $2=note title, $3=notebook name) */
"NoteRemovedFromNotebookByYou($1,$2,$3)" = "$1이 $2를 노트북 $3에서 제거하였습니다.";

/* note removed from notebook ($1=note title, $2=notebook name) */
"NoteRemovedFromNoteboookNoPerson($1,$2)" = "$1이 노트북 $2에서 제거되었습니다.";

/* note removed from current user's notebook ($1=person, $2=note title, $3=notebook name) */
"NoteRemovedFromYourNotebookByPerson($1,$2,$3)" = "$1이 $2를 당신의 노트북 $3에서 제거하였습니다.";

/* note removed from current user's notebook by current user ($1='You', $2=note title, $3=notebook name) */
"NoteRemovedFromYourNotebookByYou($1,$2,$3)" = "$1이 $2를 당신의 노트북 $3에서 제거하였습니다.";

/* note removed from current user's notebook ($1=note title, $2=notebook name) */
"NoteRemovedFromYourNotebookNoPerson($1,$2)" = "$1이 당신의 노트북 $2에서 제거되었습니다.";

/* note renamed in notebook ($1=old note title, $2=new note title, $3=notebook name, $4=last update author) */
"NoteRenamedAndUpdatedInNotebookByPerson($1,$2,$3,$4)" = "노트북 $3에서 $1의 이름이 $2(으)로 변경되었습니다. $4님이 가장 최근에 업데이트했습니다.";

/* note renamed in notebook, last update by current user ($1=old note title, $2=new note title, $3=notebook name, $4='You') */
"NoteRenamedAndUpdatedInNotebookByYou($1,$2,$3,$4)" = "노트북 $3에서 $1의 이름이 $2(으)로 변경되었습니다. $4님이 가장 최근에 업데이트했습니다.";

/* note renamed in current user's notebook ($1=old note title, $2=new note title, $3=notebook name, $4=last update author) */
"NoteRenamedAndUpdatedInYourNotebookByPerson($1,$2,$3,$4)" = "노트북 $3에서 $1의 이름이 $2(으)로 변경되었습니다. $4님이 가장 최근에 업데이트했습니다.";

/* note renamed in current user's notebook, last update by current user ($1=old note title, $2=new note title, $3=notebook name, $4='You') */
"NoteRenamedAndUpdatedInYourNotebookByYou($1,$2,$3,$4)" = "노트북 $3에서 $1의 이름이 $2(으)로 변경되었습니다. $4님이 가장 최근에 업데이트했습니다.";

/* note renamed in notebook ($1=old note title, $2=new note title, $3=notebook name) */
"NoteRenamedInNotebookNoPerson($1,$2,$3)" = "노트북 $3에서 $1의 이름이 $2(으)로 변경되었습니다.";

/* note renamed in current user's notebook ($1=old note title, $2=new note title, $3=notebook name) */
"NoteRenamedInYourNotebookNoPerson($1,$2,$3)" = "노트북 $3에서 $1의 이름이 $2(으)로 변경되었습니다.";

/* note shared ($1=person, $2=note title) */
"NoteSharedByPerson($1,$2)" = "$1이(가) $2을(를) 공유했습니다.";

/* note shared by current user ($1='You', $2=note title) */
"NoteSharedByYou($1,$2)" = "$1이(가) $2을(를) 공유했습니다.";

/* person stopped sharing note ($1=person, $2=note title) */
"NoteStoppedSharingByPerson($1,$2)" = "$1님이 $2의 공유를 중지했습니다.";

/* current user stopped sharing note ($1='You', $2=note title) */
"NoteStoppedSharingByYou($1,$2)" = "$1님이 $2의 공유를 중지했습니다.";

/* note updated in notebook ($1=person, $2=note title, $3=notebook name) */
"NoteUpdatedInNotebookByPerson($1,$2,$3)" = "$1님이 노트북 $3의 $2을(를) 가장 최근에 업데이트했습니다.";

/* note updated in notebook by current user ($1='You', $2=note title, $3=notebook name) */
"NoteUpdatedInNotebookByYou($1,$2,$3)" = "$1님이 노트북 $3의 $2을(를) 가장 최근에 업데이트했습니다.";

/* multiple notes updated in notebook ($1=notebook name) */
"NoteUpdatedInNotebookNoPerson($1)" = "{%lu notes}이(가) $1 노트북에서 업데이트되었습니다.";

/* note updated in notebook ($1=note title, $2=notebook name) */
"NoteUpdatedInNotebookNoPerson($1,$2)" = "$1이 노트북 $2에 업데이트 되었습니다.";

/* note updated in current user's notebook ($1=person, $2=note title, $3=notebook name) */
"NoteUpdatedInYourNotebookByPerson($1,$2,$3)" = "$1님이 노트북 $3의 $2을(를) 가장 최근에 업데이트했습니다.";

/* note updated in current user's notebook by current user ($1='You', $2=note title, $3=notebook name) */
"NoteUpdatedInYourNotebookByYou($1,$2,$3)" = "$1님이 노트북 $3의 $2을(를) 가장 최근에 업데이트했습니다.";

/* note updated in current user's notebook ($1=note title, $2=notebook name) */
"NoteUpdatedInYourNotebookNoPerson($1,$2)" = "$2 노트북의 $1 노트가 업데이트 되었습니다.";

/* person invited person to notebook ($1=sender, $2=recipient, $3=notebook name */
"PersonInvitedPersonToNotebook($1,$2,$3)" = "$1 이(가) $2 를(을) $3 노트북으로 초대했습니다.";

/* person invited person to current user's notebook ($1=sender, $2=recipient, $3=notebook name */
"PersonInvitedPersonToYourNotebook($1,$2,$3)" = "$1 이(가) $2 를(을) $3 노트북으로 초대했습니다.";

/* person joined notebook ($1=person, $2=notebook name) */
"PersonJoinedNotebook($1,$2)" = "$1 이(가) 회원님의 노트북 $2에 가입했습니다.";

/* person joined current user's notebook ($1=person, $2=notebook name) */
"PersonJoinedYourNotebook($1,$2)" = "$1 이(가) 회원님의 노트북 $2에 가입했습니다.";

/* person left notebook ($1=person, $2=notebook name) */
"PersonLeftNotebook($1,$2)" = "$1 이(가) $2 노트북에서 탈퇴했습니다.";

/* person left current user's notebook ($1=person, $2=notebook name) */
"PersonLeftYourNotebook($1,$2)" = "$1 이(가) $2 노트북에서 탈퇴했습니다.";

/* notebook no longer shared publicly ($1=person, $2=notebook name) */
"PublicNotebookNoLongerShared($1,$2)" = "$1 회원님이 $2 의 전체 공개 설정을 취소하셨습니다.";

/* reminder triggered ($1=note title, $2=notebook name) */
"Reminder($1,$2)" = "알리미: $2의 $1";

/* user synced linked notebook first time ($1=owner name, $2=notebook name) */
"SomeoneSharedNotebook($1,$2)" = "$1이(가) $2을(를) 회원님과 공유했습니다.";

/* note sync conflict in notebook ($1=note title, $2=notebook name, $3=conflicting changes notebook name) */
"SyncConflictInNotebook($1,$2,$3)" = "$2 노트북의 $1 노트에 동기화 오류가 발생했습니다. $3 노트북에 회원님 버전의 노트가 저장되었습니다.";

/* note sync conflict in current user's notebook ($1=note title, $2=notebook name, $3=conflicting changes notebook name) */
"SyncConflictInYourNotebook($1,$2,$3)" = "$2 노트북의 $1 노트에 동기화 오류가 발생했습니다. $3 노트북에 회원님 버전의 노트가 저장되었습니다.";

/* You */
"You" = "회원님";

/* current user invited person to notebook ($1='You', $2=recipient, $3=notebook name */
"YouInvitedPersonToNotebook($1,$2,$3)" = "$1이 $2를 노트북 $3에 초청했습니다.";

/* current user invited person to his/her notebook ($1='You', $2=recipient, $3=notebook name */
"YouInvitedPersonToYourNotebook($1,$2,$3)" = "$1이 $2를 노트북 $3에 초청했습니다.";

/* current user joined notebook ($1='You', $2=notebook name) */
"YouJoinedNotebook($1,$2)" = "$1이 $2 노트북에 가입했습니다.";

/* current user left notebook ($1='You', $2=notebook name) */
"YouLeftNotebook($1,$2)" = "$1이 $2 노트북을 탈퇴했습니다.";

/* user scanned one type of document */
"YouScanned1DocumentType($1)" = "$1를 스캔했습니다.";

/* user scanned two types of documents */
"YouScanned2DocumentTypes($1,$2)" = "$1와 $2를 스캔했습니다.";

/* user scanned three types of documents */
"YouScanned3DocumentTypes($1,$2,$3)" = "$1, $2, $3을 스캔했습니다.";

/* user scanned four types of documents */
"YouScanned4DocumentTypes($1,$2,$3,$4)" = "$1, $2, $3, $4를 스캔했습니다.";

/* user scanned notes into notebook ($1=note count string 'n note(s)', $2=notebook name) */
"YouScannedIntoNotebook($1,$2)" = "$1를 노트북 $2로 스캔했습니다.";
